## tales-of-majeyal 1.6.6

=== src/lzlib/Makefile ===
# $Id: Makefile,v 1.8 2004/07/22 19:10:47 tngd Exp $
# makefile for zlib library for Lua

# dist location
DISTDIR=$(HOME)/dist
TMP=/tmp

# change these to reflect your Lua installation
LUA= $(HOME)/local/lua
LUAINC= $(LUA)/include
LUALIB= $(LUA)/lib
LUABIN= $(LUA)/bin

ZLIB=../zlib-1.2.3

# no need to change anything below here
CFLAGS= $(INCS) $(DEFS) $(WARN) -O2 -fPIC
WARN= -g -Werror -Wall -pedantic #-ansi -pedantic -Wall
INCS= -I$(LUAINC) -I$(ZLIB)
LIBS= -L$(ZLIB) -lz -L$(LUALIB) -L$(LUABIN) # -llua51

MYLIB=lzlib

ZLIB_NAME = zlib
GZIP_NAME = gzip

T_ZLIB= $(ZLIB_NAME).so
T_GZIP= $(GZIP_NAME).so

VER=0.3
TARFILE = $(DISTDIR)/$(MYLIB)-$(VER).tar.gz
TARFILES = 	Makefile README README.lgzip \
			lzlib.c lgzip.c \
			test_zlib.lua test_gzip.lua

all: $(T_ZLIB) $(T_GZIP)

test: $(T_ZLIB) $(T_GZIP)
	$(LUABIN)/lua -lluarc test_zlib.lua
	$(LUABIN)/lua -lluarc test_gzip.lua

$(T_ZLIB): lzlib.o
	$(CC) -o $@ -shared $< $(LIBS)

$(T_GZIP): lgzip.o
	$(CC) -o $@ -shared $< $(LIBS)

clean:
	rm -f *.o *.so core core.* a.out

dist: $(TARFILE)

$(TARFILE): $(TARFILES)
	@ln -sf `pwd` $(TMP)/$(MYLIB)-$(VER)
	tar -zcvf $(TARFILE) -C $(TMP) $(addprefix $(MYLIB)-$(VER)/,$(TARFILES))
	@rm -f $(TMP)/$(MYLIB)-$(VER)
	@lsum $(TARFILE) $(DISTDIR)/md5sums.txt

=== src/discord-rpc/src/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/include)

option(ENABLE_IO_THREAD "Start up a separate I/O thread, otherwise I'd need to call an update function" ON)
option(BUILD_DYNAMIC_LIB "Build library as a DLL" OFF)

set(BASE_RPC_SRC
    ${PROJECT_SOURCE_DIR}/include/discord-rpc.h
    discord-rpc.cpp
    discord_register.h
    rpc_connection.h
    rpc_connection.cpp
    serialization.h
    serialization.cpp
    connection.h
    backoff.h
    msg_queue.h
)

if (${BUILD_DYNAMIC_LIB})
    set(RPC_LIBRARY_TYPE SHARED)
    if(WIN32)
        set(BASE_RPC_SRC ${BASE_RPC_SRC} dllmain.cpp)
    endif(WIN32)
else(${BUILD_DYNAMIC_LIB})
    set(RPC_LIBRARY_TYPE STATIC)
endif(${BUILD_DYNAMIC_LIB})

if(WIN32)
    add_definitions(-DDISCORD_WINDOWS)
    set(BASE_RPC_SRC ${BASE_RPC_SRC} connection_win.cpp discord_register_win.cpp)
    add_library(discord-rpc ${RPC_LIBRARY_TYPE} ${BASE_RPC_SRC})
    target_compile_options(discord-rpc PRIVATE /EHsc
        /MT
        /Wall
        /wd4100 # unreferenced formal parameter
        /wd4514 # unreferenced inline
        /wd4625 # copy constructor deleted
        /wd5026 # move constructor deleted
        /wd4626 # move assignment operator deleted
        /wd4668 # not defined preprocessor macro
        /wd4710 # function not inlined
        /wd4711 # function was inlined
        /wd4820 # structure padding
        /wd4946 # reinterpret_cast used between related classes
        /wd5027 # move assignment operator was implicitly defined as deleted
    )
endif(WIN32)

if(UNIX)
    set(BASE_RPC_SRC ${BASE_RPC_SRC} connection_unix.cpp)

    if (APPLE)
        add_definitions(-DDISCORD_OSX)
        set(BASE_RPC_SRC ${BASE_RPC_SRC} discord_register_osx.m)
    else (APPLE)
        add_definitions(-DDISCORD_LINUX)
        set(BASE_RPC_SRC ${BASE_RPC_SRC} discord_register_linux.cpp)
    endif(APPLE)

    add_library(discord-rpc ${RPC_LIBRARY_TYPE} ${BASE_RPC_SRC})
    target_link_libraries(discord-rpc PUBLIC pthread)
    target_compile_options(discord-rpc PRIVATE
        -g
        -Wall
        -Wextra
        -Wpedantic
        -Werror
        -Wno-unknown-pragmas # pragma push thing doesn't work on clang
        -Wno-old-style-cast # it's fine
        -Wno-c++98-compat # that was almost 2 decades ago
        -Wno-c++98-compat-pedantic
        -Wno-missing-noreturn
        -Wno-padded # structure padding
        -Wno-covered-switch-default
        -Wno-exit-time-destructors # not sure about these
        -Wno-global-constructors
    )
    target_compile_options(discord-rpc PRIVATE $<$<COMPILE_LANGUAGE:CXX>:-std=c++14>)

    if (APPLE)
        target_link_libraries(discord-rpc PRIVATE "-framework AppKit")
    endif (APPLE)
endif(UNIX)

target_include_directories(discord-rpc PRIVATE ${RAPIDJSON}/include)

if (NOT ${ENABLE_IO_THREAD})
    add_definitions(discord-rpc PUBLIC -DDISCORD_DISABLE_IO_THREAD)
endif (NOT ${ENABLE_IO_THREAD})

if (${BUILD_DYNAMIC_LIB})
    target_compile_definitions(discord-rpc PUBLIC -DDISCORD_DYNAMIC_LIB)
    target_compile_definitions(discord-rpc PRIVATE -DDISCORD_BUILDING_SDK)
endif(${BUILD_DYNAMIC_LIB})

add_dependencies(discord-rpc clangformat)

# install

install(
    TARGETS discord-rpc
    EXPORT "discord-rpc"
    RUNTIME
        DESTINATION "bin"
        CONFIGURATIONS Release
    LIBRARY
        DESTINATION "lib"
        CONFIGURATIONS Release
    ARCHIVE
        DESTINATION "lib"
        CONFIGURATIONS Release
    INCLUDES
        DESTINATION "include"
)

install(
    FILES
        "../include/discord-rpc.h"
    DESTINATION "include"
)

## tales-of-majeyal 1.5.10

=== debian/changelog ===
tales-of-majeyal (1.5.10-1mx17+1) mx; urgency=medium

  * Repackaged for MX 17.
  * added libpng-dev | libpng12-dev to the control file

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 03 Jul 2018 15:02:47 -0700

tales-of-majeyal (1.5.9-1mx17+1) mx; urgency=medium

  * New release repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 16 May 2018 04:36:51 -0700

tales-of-majeyal (1.5.5-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 01 Oct 2017 17:00:04 -0400

tales-of-majeyal (1.5.5-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sat, 27 May 2017 10:06:54 -0700

tales-of-majeyal (1.5.5-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 23 May 2017 23:26:36 +0200

tales-of-majeyal (1.5.4-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 23 May 2017 20:53:20 +0200

tales-of-majeyal (1.5.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 11 Apr 2017 20:20:49 +0200

tales-of-majeyal (1.5.2-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 21 Mar 2017 18:25:30 +0100

tales-of-majeyal (1.5.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 17 Mar 2017 18:11:13 +0100

tales-of-majeyal (1.5.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 09 Mar 2017 18:21:25 +0100

tales-of-majeyal (1.4.9-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 17:29:33 +0100

tales-of-majeyal (1.4.8-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 14 Jun 2016 19:13:00 +0200

tales-of-majeyal (1.4.7-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 13 Jun 2016 21:48:48 +0200

tales-of-majeyal (1.4.6-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 11 Mar 2016 20:06:48 +0100

tales-of-majeyal (1.4.5-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 29 Feb 2016 20:33:03 +0100

tales-of-majeyal (1.4.4-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 21 Feb 2016 02:02:23 +0100

tales-of-majeyal (1.4.3-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 03 Feb 2016 20:04:04 +0100

tales-of-majeyal (1.4.2-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 28 Jan 2016 19:13:47 +0100

tales-of-majeyal (1.4.1-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 26 Jan 2016 19:55:11 +0100

tales-of-majeyal (1.4.0-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 26 Jan 2016 18:25:03 +0100

tales-of-majeyal (1.3.3-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 30 Nov 2015 19:43:45 +0100

tales-of-majeyal (1.3.2-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 29 Nov 2015 22:10:40 +0100

tales-of-majeyal (1.3.1-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 29 Mar 2015 16:39:32 +0200

tales-of-majeyal (1.3.0-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 18 Mar 2015 20:33:53 +0100

tales-of-majeyal (1.2.5-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 06 Nov 2014 21:06:13 +0100

tales-of-majeyal (1.2.4-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 18 Oct 2014 19:39:45 +0200

tales-of-majeyal (1.2.3-1~getdeb1) trusty; urgency=medium

  * New upstream version
    Release highlights:

    Important bugfixes
    Better balancing of Mindslayers

    Expanded changelist:﻿

    Vitality triggers correctly from Berserker Rage
    Charged Strike on a frozen target vaporizes the ice into a flash of
    vapour that knocks back foes
    Charged Strike on a pinned target will charge up Charge Shield
    Thermal Strike on a pinned target will summon a encasing wall of ice
    Shocked effect now also reduces pin resistance, mostly to the benefit of
    mindslayers
    Dogroth Caldera fumes go inactive after the boss deth, even on the first
    level
    Temporal Rift shield is no longer metallic
    The Eidolon can now teleport players someplace else on the level when
    coming from the Infinite Dungeon
    Projectile evasion buffs do not stack, only the highest is used
    Fixed Tirakai's Maul
    Molten Skin boosts both Sun and Sunlight trees
    Uniques count as bosses in the charsheet counter instead of rares
    Skeleton and Ghoul racial stat increases are always integers now
    Fixed Bloody Butcher to correcty add physical power and to work with Deep
    Wound effect
    Fixed stoneskin-like shader auras to be symetrical again
    Fixed Bombardment not using the correct shot power
    Fixed Hurricane Short on right click too
    Improved Total Thuggery AI hints
    Fixed Swift Shot and Feed to work on right click
    Improved Feed particle effect
    Ethereal Embrace tooltip correctly states that it improves damage shields


=== debian/control ===
Source: tales-of-majeyal
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>= 9),
               libreadline6-dev,
               libglew-dev,
               zlib1g-dev,
               libx11-dev,
               x11proto-core-dev,
               mesa-common-dev,
               libglu1-mesa-dev,
               libvorbis-dev,
               libsdl2-dev,
               libopenal-dev,
               valgrind,
               linux-libc-dev,
               libsdl2-ttf-dev,
               libsdl2-image-dev,
               libpng-dev | libpng12-dev,
               libexpat1-dev,
               lua5.1,
               premake4
Standards-Version: 3.9.7
Homepage: http://te4.org/

Package: tales-of-majeyal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tales-of-majeyal-data (= ${source:Version})
Description: Free, open source roguelike RPG
 Tales of Maj'Eyal (ToME) is a free, open source roguelike
 RPG, featuring tactical turn-based combat and advanced
 character building.  Play as one of many unique races and
 classes in the lore-filled world of Eyal, exploring random
 dungeons, facing challenging battles, and developing
 characters with your own tailored mix of abilities and
 powers.

Package: tales-of-majeyal-data
Architecture: all
Depends: ${misc:Depends}
Description: Free, open source roguelike RPG (data package)
 Tales of Maj'Eyal (ToME) is a free, open source roguelike
 RPG, featuring tactical turn-based combat and advanced
 character building.  Play as one of many unique races and
 classes in the lore-filled world of Eyal, exploring random
 dungeons, facing challenging battles, and developing
 characters with your own tailored mix of abilities and
 powers.
 .
 (This package contains data files).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile ] || make clean
	premake4 clean

override_dh_auto_build:
	premake4 gmake
	make config=release

## tales-of-majeyal 1.6.0

=== debian/changelog ===
tales-of-majeyal (1.6.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 08 Nov 2019 17:28:46 -0800

## tales-of-majeyal 1.6.1

=== debian/changelog ===
tales-of-majeyal (1.6.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 25 Nov 2019 16:23:39 -0800

## tales-of-majeyal 1.6.4

=== debian/changelog ===
tales-of-majeyal (1.6.4-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 29 Nov 2019 19:10:16 -0800

## tales-of-majeyal 1.6.5

=== debian/changelog ===
tales-of-majeyal (1.6.5-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 22 Dec 2019 08:25:30 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tales-of-majeyal
 Section: games
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
 Build-Depends: debhelper (>= 9),
                libreadline6-dev,

## tales-of-majeyal 1.6.6

=== debian/changelog ===
tales-of-majeyal (1.6.6-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 30 Jan 2020 19:11:42 -0800

## tales-of-majeyal 1.6.7

=== debian/changelog ===
tales-of-majeyal (1.6.7-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Feb 2020 18:43:38 -0800

## tales-of-majeyal 1.7.0

=== debian/changelog ===
tales-of-majeyal (1.7.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 30 Oct 2020 17:05:43 -0700

## tales-of-majeyal 1.7.2

=== debian/changelog ===
tales-of-majeyal (1.7.2-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 22 Nov 2020 18:47:32 -0800

## tales-of-majeyal 1.7.3

=== debian/changelog ===
tales-of-majeyal (1.7.3-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 12 Jun 2021 07:42:11 -0700

## tales-of-majeyal 1.7.4

=== debian/changelog ===
tales-of-majeyal (1.7.4-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 18:20:51 -0700

## tales-of-majeyal 1.7.6

=== debian/changelog ===
tales-of-majeyal (1.7.6-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 08 Oct 2023 15:19:29 -0700

tales-of-majeyal (1.7.4-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 17:55:44 -0700

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
-Build-Depends: debhelper (>= 9),
-               libreadline6-dev,
-               libglew-dev,
-               zlib1g-dev,
-               libx11-dev,
-               x11proto-core-dev,
-               mesa-common-dev,
-               libglu1-mesa-dev,
-               libvorbis-dev,
-               libsdl2-dev,
-               libopenal-dev,
-               valgrind,
-               linux-libc-dev,
-               libsdl2-ttf-dev,
-               libsdl2-image-dev,
-               libpng-dev | libpng12-dev,
-               libexpat1-dev,
-               lua5.1,
-               premake4
+Build-Depends: debhelper (>= 12),
+               libreadline-dev (>= 7.0-5),
+               libglew-dev (>= 2.1.0-4),
+               zlib1g-dev (>= 1.2.11),
+               libx11-dev (>= 1.6.7),
+               x11proto-core-dev (>= 2018.4-4),
+               mesa-common-dev (>= 18.3.6-2),
+               libglu1-mesa-dev (>= 9.0.0-2.1),
+               libvorbis-dev (>= 1.3.6-2),
+               libsdl2-dev (>= 2.0.9),
+               libopenal-dev (>= 1.19.1),
+               valgrind (>= 3.14.0),
+               linux-libc-dev (>= 4.19.152),
+               libsdl2-ttf-dev (>= 2.0.15),
+               libsdl2-image-dev (>= 2.0.4),
+               libpng-dev (>= 1.6.36) | libpng12-dev,
+               libexpat1-dev (>= 2.2.6-2),
+               lua5.1 (>= 5.1.5-8.1),
+               premake4 (>= 4.3+repack1-2)
 Standards-Version: 3.9.7
 Homepage: http://te4.org/

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 override_dh_auto_build:
 	premake4 gmake
 	make config=release
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+

=== debian/watch ===
version=3
http://te4.org/download \
    (?:.*/)?t-engine4-src-([\d\.]+)\.tar\.bz2
